explain_setresuid_or_die(3)

NAME
explain_setresuid_or_die - set r/e/s user ID and report errors

SYNOPSIS
#include <libexplain/setresuid.h>

void explain_setresuid_or_die(uid_t ruid, uid_t euid, uid_t suid);
int explain_setresuid_on_error(uid_t ruid, uid_t euid, uid_t suid);

DESCRIPTION
The explain_setresuid_or_die function is used to call the setresuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setresuid(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setresuid_on_error function is used to call the setresuid(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_setresuid(3) function, but still returns to the caller.

ruid
    The ruid, exactly as to be passed to the setresuid(2) system call.

euid
    The euid, exactly as to be passed to the setresuid(2) system call.

suid
    The suid, exactly as to be passed to the setresuid(2) system call.

RETURN VALUE
The explain_setresuid_or_die function only returns on success, see setresuid(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setresuid_on_error function always returns the value return by the wrapped setresuid(2) system call.

EXAMPLE
The explain_setresuid_or_die function is intended to be used in a fashion similar to the following example:
    explain_setresuid_or_die(ruid, euid, suid);

SEE ALSO

setresuid(2)
    set real, effective and saved user ID

explain_setresuid(3)
    explain setresuid(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2012 Peter Miller